<script setup>
import {onBeforeMount} from 'vue';
import {RouterView, useRoute, useRouter} from 'vue-router';

const router = useRouter();

onBeforeMount(() => {
  const route = useRoute();
  const code = route.query['oauthCode'];
  if(code) {
    router.replace({
        query: {}
    }) 
  }
});


</script>

<template>
  <div class="client-container">
    <RouterView />
  </div>
  
</template>

<style scoped>
/* .client-container { */
  /* display: flex; */
  /* align-items: center; */
  /* justify-content: center; */
  /* height: 100%; */
  /* width: 100%; */
/* } */
</style>
